Debian Bug report logs - #603396
RM: libdc0 [armel] -- RoQA: ANAIS

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Daniel Silverstone <dsilvers@digital-scurf.org>

Date: Sat, 13 Nov 2010 17:51:02 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#603396; Package release.debian.org. (Sat, 13 Nov 2010 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Silverstone <dsilvers@digital-scurf.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 13 Nov 2010 17:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Silverstone <dsilvers@digital-scurf.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: libdc0/0.3.13-1
Date: Sat, 13 Nov 2010 17:30:12 +0000
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: rm


The version of libdc0 in unstable (0.3.23-1) fails to build from source on
armel.  This is preventing the transition of the newer version to testing.
However, the failure appears to be in code which is present in the version in
testing, just not *tested*.

The website for the package (http://wxdcgui.sourceforge.net/) suggests that
this library is obsolete and recommended against.

I therefore suggest we remove it from testing before we end up having to
support it in a stable release.

Regards,

Daniel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#603396; Package release.debian.org. (Sat, 13 Nov 2010 18:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 13 Nov 2010 18:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 603396@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Silverstone <dsilvers@digital-scurf.org>, 603396@bugs.debian.org
Subject: Re: Bug#603396: RM: libdc0/0.3.13-1
Date: Sat, 13 Nov 2010 19:19:58 +0100
[Message part 1 (text/plain, inline)]
On Sat, Nov 13, 2010 at 17:30:12 +0000, Daniel Silverstone wrote:

> I therefore suggest we remove it from testing before we end up having to
> support it in a stable release.

The exact same version is already in lenny, fwiw.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#603396; Package release.debian.org. (Sat, 13 Nov 2010 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 13 Nov 2010 18:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 603396@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Silverstone <dsilvers@digital-scurf.org>, 603396@bugs.debian.org
Cc: valknut@packages.debian.org
Subject: Re: Bug#603396: RM: libdc0/0.3.13-1
Date: Sat, 13 Nov 2010 19:21:02 +0100
[Message part 1 (text/plain, inline)]
On Sat, Nov 13, 2010 at 17:30:12 +0000, Daniel Silverstone wrote:

> The version of libdc0 in unstable (0.3.23-1) fails to build from source on
> armel.  This is preventing the transition of the newer version to testing.
> However, the failure appears to be in code which is present in the version in
> testing, just not *tested*.
> 
> The website for the package (http://wxdcgui.sourceforge.net/) suggests that
> this library is obsolete and recommended against.
> 
> I therefore suggest we remove it from testing before we end up having to
> support it in a stable release.
> 
This would break valknut in testing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#603396; Package release.debian.org. (Sat, 13 Nov 2010 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Silverstone <dsilvers@digital-scurf.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 13 Nov 2010 19:00:03 GMT) Full text and rfc822 format available.

Message #20 received at 603396@bugs.debian.org (full text, mbox):

From: Daniel Silverstone <dsilvers@digital-scurf.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 603396@bugs.debian.org, valknut@packages.debian.org
Subject: Re: Bug#603396: RM: libdc0/0.3.13-1
Date: Sat, 13 Nov 2010 18:30:54 +0000
On Sat, Nov 13, 2010 at 07:21:02PM +0100, Julien Cristau wrote:
> > I therefore suggest we remove it from testing before we end up having to
> > support it in a stable release.
> This would break valknut in testing.

Given that popcon indicates that valknut is barely used, removing it also
wouldn't be a completely bad idea.

Regards,

Daniel.

-- 
Daniel Silverstone                         http://www.digital-scurf.org/
PGP mail accepted and encouraged.            Key Id: 3CCE BABE 206C 3B69




Added tag(s) squeeze. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 16:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#603396; Package release.debian.org. (Sun, 28 Nov 2010 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 28 Nov 2010 19:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 603396@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Daniel Silverstone <dsilvers@digital-scurf.org>, 603396@bugs.debian.org
Subject: Re: Bug#603396: RM: libdc0/0.3.13-1
Date: Sun, 28 Nov 2010 20:32:42 +0100
[Message part 1 (text/plain, inline)]
On Sat, Nov 13, 2010 at 05:30:12PM +0000, Daniel Silverstone wrote:
> The version of libdc0 in unstable (0.3.23-1) fails to build from source on
> armel.  This is preventing the transition of the newer version to testing.
> However, the failure appears to be in code which is present in the version in
> testing, just not *tested*.

Do we know if it fails on other platforms as well?  If not, a binary removal of
the armel binaries of both libdc0 and valknut might be sensible.  Furthermore
the version graph as it is on the BTS doesn't show that testing's affected.  So
if you have some results for it, please mark the testing version as "found" in
the BTS. 

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#603396; Package release.debian.org. (Mon, 28 Feb 2011 18:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 28 Feb 2011 18:54:04 GMT) Full text and rfc822 format available.

Message #32 received at 603396@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Silverstone <dsilvers@digital-scurf.org>, 603396@bugs.debian.org
Cc: ftp.debian.org@packages.debian.org
Subject: Re: Bug#603396: RM: libdc0/0.3.13-1
Date: Mon, 28 Feb 2011 19:52:30 +0100
reassign 603396 ftp.debian.org
tag 603396 - squeeze
kthxbye

On Sat, Nov 13, 2010 at 17:30:12 +0000, Daniel Silverstone wrote:

> The version of libdc0 in unstable (0.3.23-1) fails to build from source on
> armel.  This is preventing the transition of the newer version to testing.
> However, the failure appears to be in code which is present in the version in
> testing, just not *tested*.
> 
> The website for the package (http://wxdcgui.sourceforge.net/) suggests that
> this library is obsolete and recommended against.
> 
> I therefore suggest we remove it from testing before we end up having to
> support it in a stable release.
> 
Looks like this dropped off before the squeeze release.  At this point
what's needed is removal of the armel package from sid, afaict, so
reassigning to ftpmaster.

Cheers,
Julien




Bug reassigned from package 'release.debian.org' to 'ftp.debian.org'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 18:54:08 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 18:54:08 GMT) Full text and rfc822 format available.

Bug 603396 cloned as bug 617427. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 08 Mar 2011 20:57:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libdc0 [armel] -- RoQA: ANAIS' from 'RM: libdc0/0.3.13-1' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 08 Mar 2011 20:57:07 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 10 Mar 2011 09:48:15 GMT) Full text and rfc822 format available.

Notification sent to Daniel Silverstone <dsilvers@digital-scurf.org>:
Bug acknowledged by developer. (Thu, 10 Mar 2011 09:48:15 GMT) Full text and rfc822 format available.

Message #45 received at 603396-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 603396-close@bugs.debian.org
Cc: libdc-dev@packages.debian.org, libdc-dev@packages.qa.debian.org, libdc0@packages.debian.org, libdc0@packages.qa.debian.org, libdc5@packages.debian.org, libdc5@packages.qa.debian.org, libdc0c2@packages.debian.org, libdc0c2@packages.qa.debian.org, libdc0-dev@packages.debian.org, libdc0-dev@packages.qa.debian.org
Subject: Bug#603396: Removed package(s) from unstable
Date: Thu, 10 Mar 2011 09:45:05 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libdc0-dev |   0.3.13-1 | armel
  libdc0c2 |   0.3.13-1 | armel

------------------- Reason -------------------
RoQA: ANAIS
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603396@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/603396

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Apr 2011 08:00:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:59:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.